# CTA Button

You can change CTA label and URL on the fly. You need to ensure that there is a CTA already added to the video for the change to reflect.

Firework allows you to modify video properties within any video related custom event. For the list of events see "[Video Events](/firework-for-developers/web/integration-guide/events/video-player-events.md)"

Example:

```javascript
     document.addEventListener('fw:video:impression', function (event) {
        event.detail.actions.video.update(({ videoFactory }) =>
          videoFactory((v) =>
            v
              .actionType('Watch now!')
              .actionUrl('https://www.youtube.com/watch?v=dQw4w9WgXcQ')
          )
        )
      })
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.firework.com/firework-for-developers/web/integration-guide/video-customization/cta-button-configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
